﻿
using System;
using Wisej.Web;

namespace Wisej.HiddenUpload
{
	public partial class Window1 : Form
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void Window1_Load(object sender, EventArgs e)
		{
			// force the creation of the hidden upload widget.
			this.upload1.CreateControl();

			// attach to the execute event of the visible button
			// to invoke the upload method on the hidden upload control.
			this.button1.Eval(
				   String.Format(@"
            this.uploadButton = Wisej.Core.getComponent(""id_{0}"");
            this.addListener(""execute"", function(e)
              {{
                 this.uploadButton.upload();
              }});", this.upload1.Handle));
		}

		private void upload1_Uploaded(object sender, UploadedEventArgs e)
		{
			if (e.Files.Count > 0)
				AlertBox.Show("Uploaded: " + e.Files[0].FileName);
		}
	}
}
